import React from 'react';
import { findAll } from 'highlight-words-core';
import { View } from 'react-native';
import { StyleSheet } from 'react-native';
import { Text } from 'react-native';
export default function MultiWordHighlighter(props) {
  const {
    autoEscape = false,
    searchWords,
    textToHighlight,
    caseSensitive = false,
    viewContainerStyle = {},
    defaultHighlightTextStyle = {},
    replaceAllMatchedTextWith
  } = props;
  const searchWordsArray = searchWords.map(searchWord => searchWord.word);
  const wordToConfigMap = {};
  searchWords.forEach(searchWord => {
    wordToConfigMap[searchWord.word] = searchWord;
  });
  const chunks = findAll({
    autoEscape,
    searchWords: searchWordsArray,
    textToHighlight,
    caseSensitive
  });
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.containerStyle, viewContainerStyle]
  }, chunks.map((chunk, idx) => {
    const {
      end,
      highlight,
      start
    } = chunk;
    const text = textToHighlight.substr(start, end - start);
    if (highlight) {
      var _wordToConfigMap$text, _wordToConfigMap$text2, _wordToConfigMap$text3, _wordToConfigMap$text4;
      return /*#__PURE__*/React.createElement(Text, {
        key: idx,
        style: [(_wordToConfigMap$text = wordToConfigMap[text]) !== null && _wordToConfigMap$text !== void 0 && _wordToConfigMap$text.textStyle ? (_wordToConfigMap$text2 = wordToConfigMap[text]) === null || _wordToConfigMap$text2 === void 0 ? void 0 : _wordToConfigMap$text2.textStyle : defaultHighlightTextStyle]
      }, (_wordToConfigMap$text3 = wordToConfigMap[text]) !== null && _wordToConfigMap$text3 !== void 0 && _wordToConfigMap$text3.replace ? (_wordToConfigMap$text4 = wordToConfigMap[text]) === null || _wordToConfigMap$text4 === void 0 ? void 0 : _wordToConfigMap$text4.replace : replaceAllMatchedTextWith ? replaceAllMatchedTextWith : text);
    } else {
      return /*#__PURE__*/React.createElement(Text, {
        key: idx
      }, text);
    }
  }));
}
const styles = StyleSheet.create({
  containerStyle: {
    flexDirection: 'row',
    flexWrap: 'wrap'
  }
});
//# sourceMappingURL=MultiWordHighlighter.js.map